com.oracle.nfi.api

## Interface NativeFunctionHandle

    public interface NativeFunctionHandle

A handle that can be used to call a native function.

### Method Summary

Methods
`java.lang.Object` `call(java.lang.Object... args)` Calls the native function.

### Method Detail

#### call

    java.lang.Object call(java.lang.Object... args)

Calls the native function.

The caller is responsible for ensuring `args` comply with the platform ABI (e.g. Unix AMD64 ABI). If the library function has struct parameters, the fields of the struct must be passed as individual arguments.

Parameters:
  `args` - the arguments that will be passed to the native function
Returns:
  boxed return value of the function call